<p>
    {assign var="callback_url" value="payment_notification.paykeeper?proccesor_id=$payment_id"|fn_url:'C':'http'}
    {if ($payment_id)}
    {__("paykeeper_callback_notice")}
    <br>
    {$callback_url}
    {else}
    {__("paykeeper_callback_notice_new")}
    {/if}
</p>
<hr>
<hr>
<h4>{__("paykeeper_settings_handler")}</h4>

<div class="control-group">
    <label class="control-label" for="secret">{__("paykeeper_url")}:</label>
    <div class="controls">
        <input type="text" name="payment_data[processor_params][url]" id="secret"
               {if ($processor_params.url == '')} value="https://demo.paykeeper.ru/create/"  {else} value="{$processor_params.url}" {/if}  >
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="account">{__("paykeeper_secret")}:</label>
    <div class="controls">
        <input type="text" name="payment_data[processor_params][secret]" id="account" value="{$processor_params.secret}" >
    </div>
</div>

{assign var="statuses" value=$smarty.const.STATUSES_ORDER|fn_get_simple_statuses}
<div class="control-group">
    <label class="control-label" for="order_status">{__("paykeeper_order_status")}:</label>
    <div class="controls">
        <select name="payment_data[processor_params][order_status]" id="order_status">
            {foreach from=$statuses item="s" key="k"}
                <option value="{$k}" {if ($processor_params.order_status == $k)}selected="selected"{/if}>{$s}</option>
            {/foreach}
        </select>
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="force_discount">{__("paykeeper_force_discount")}:</label>
    <div class="controls">
        <input type="checkbox" name="payment_data[processor_params][force_discount]" id="force_discount" value="Y"
               {if $processor_params.force_discount == "Y"}checked="checked"{/if}>
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="redirect_form">{__("paykeeper_redirect_form")}:</label>
    <div class="controls">
        <select name="payment_data[processor_params][redirect_form]" id="redirect_form">
            <option value="Y" {if (!isset($processor_params.redirect_form) || $processor_params.redirect_form == "Y")}selected="selected"{/if}>{__("paykeeper_enable")}</option>
            <option value="N" {if ($processor_params.redirect_form == "N")}selected="selected"{/if}>{__("paykeeper_disable")}</option>
        </select>
    </div>
</div>

<hr>
<h4>{__("paykeeper_settings_cart")}</h4>

<div class="control-group">
    <label class="control-label" for="cart_enable">{__("paykeeper_cart_enable")}:</label>
    <div class="controls">
        <select name="payment_data[processor_params][cart_enable]" id="cart_enable">
            <option value="Y" {if (!isset($processor_params.cart_enable) || $processor_params.cart_enable == "Y")}selected="selected"{/if}>{__("paykeeper_enable")}</option>
            <option value="N" {if ($processor_params.cart_enable == "N")}selected="selected"{/if}>{__("paykeeper_disable")}</option>
        </select>
    </div>
</div>

<h4>{__("paykeeper_agent_mapping")}</h4>

<div class="control-group">
    <label class="control-label" for="agent_enable">{__("paykeeper_agent_enable")}:</label>
    <div class="controls">
        <select name="payment_data[processor_params][agent_enable]" id="agent_enable">
            <option value="Y" {if ($processor_params.agent_enable == "Y")}selected="selected"{/if}>{__("paykeeper_enable")}</option>
            <option value="N" {if (!isset($processor_params.agent_enable) || $processor_params.agent_enable == "N")}selected="selected"{/if}>{__("paykeeper_disable")}</option>
        </select>
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="agent_type">{__("paykeeper_agent_type")}:</label>
    <div class="controls">
        <select name="payment_data[processor_params][agent_type]" id="agent_type">
            <option value="other" {if (!isset($processor_params.agent_type) || $processor_params.agent_type == "other")}selected="selected"{/if}>{__("paykeeper_agent_type_other")}</option>
            <option value="bank_agent" {if ($processor_params.agent_type == "bank_agent")}selected="selected"{/if}>{__("paykeeper_agent_type_bank_agent")}</option>
            <option value="bank_subagent" {if ($processor_params.agent_type == "bank_subagent")}selected="selected"{/if}>{__("paykeeper_agent_type_bank_subagent")}</option>
            <option value="payment_agent" {if ($processor_params.agent_type == "payment_agent")}selected="selected"{/if}>{__("paykeeper_agent_type_payment_agent")}</option>
            <option value="payment_subagent" {if ($processor_params.agent_type == "payment_subagent")}selected="selected"{/if}>{__("paykeeper_agent_type_payment_subagent")}</option>
            <option value="attorney" {if ($processor_params.agent_type == "attorney")}selected="selected"{/if}>{__("paykeeper_agent_type_attorney")}</option>
            <option value="commissionaire" {if ($processor_params.agent_type == "commissionaire")}selected="selected"{/if}>{__("paykeeper_agent_type_commissionaire")}</option>
        </select>
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="agent_name">{__("paykeeper_agent_name")}</label>
    <div class="controls">
        <input type="text" name="payment_data[processor_params][agent_name]" id="agent_name" value="{if isset($processor_params.agent_name)}{$processor_params.agent_name}{else}company{/if}">
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="agent_inn">{__("paykeeper_agent_inn")}</label>
    <div class="controls">
        <input type="text" name="payment_data[processor_params][agent_inn]" id="agent_inn" value="{if isset($processor_params.agent_inn)}{$processor_params.agent_inn}{else}tax_number{/if}">
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="agent_phones">{__("paykeeper_agent_phones")}</label>
    <div class="controls">
        <input type="text" name="payment_data[processor_params][agent_phones]" id="agent_phones" value="{if isset($processor_params.agent_phones)}{$processor_params.agent_phones}{else}phone{/if}">
    </div>
</div>